UZB Firmware update issue

Discussions about Z-Way software and Z-Wave technology in general
Post Reply
Stephane
Posts: 2
Joined: 23 Jun 2018 10:45

UZB Firmware update issue

Post by Stephane » 23 Jun 2018 11:11

Hello,
I did a firmware update with Z-Way on Windows 10 / expert mode on my UZB USB stick, from 5.02 to 5.06 (version proposed by the program), after the update, the UZB is no more recognized by Windows, unknow USB device, and didn't map anymore to a COM port.
On Linux I have this status:
[ 2.156754] usb 1-1.4: new full-speed USB device number 4 using dwc_otg
[ 2.257641] usb 1-1.4: device descriptor read/64, error -32
[ 2.476807] usb 1-1.4: device descriptor read/64, error -32
[ 2.696751] usb 1-1.4: new full-speed USB device number 5 using dwc_otg
[ 2.796786] usb 1-1.4: device descriptor read/64, error -32
[ 3.016786] usb 1-1.4: device descriptor read/64, error -32
[ 3.236812] usb 1-1.4: new full-speed USB device number 6 using dwc_otg
[ 3.426295] usbcore: registered new interface driver brcmfmac
[ 3.676768] usb 1-1.4: device not accepting address 6, error -32
[ 3.777163] usb 1-1.4: new full-speed USB device number 7 using dwc_otg
[ 4.216720] usb 1-1.4: device not accepting address 7, error -32
[ 4.216815] usb 1-1-port4: unable to enumerate USB device

Anyway to recover it ?

User avatar
PoltoS
Posts: 4334
Joined: 26 Jan 2011 19:36

Re: UZB Firmware update issue

Post by PoltoS » 24 Jun 2018 09:02

Looks dead. Have you unplugged during upgrade?

User avatar
PoltoS
Posts: 4334
Joined: 26 Jan 2011 19:36

Re: UZB Firmware update issue

Post by PoltoS » 24 Jun 2018 09:02

Or may be bad contact in USB?

Stephane
Posts: 2
Joined: 23 Jun 2018 10:45

Re: UZB Firmware update issue

Post by Stephane » 24 Jun 2018 10:20

Not an UBS bad contact unfortunatly. I didn't remove it during the flash, the message was saying that evering finished fine, but…
Is it any technical tools or way to reflash it with a working firmware ?

User avatar
PoltoS
Posts: 4334
Joined: 26 Jan 2011 19:36

Re: UZB Firmware update issue

Post by PoltoS » 24 Jun 2018 16:33

Have you upgraded bootloader first ? It had to be first in the list. For so old dongle this is mandatory. All prior to 5.05 have to get bootloader upgraded first

Post Reply